:root {
  --search-form-main-bg-color: #ffffff;
  --autocomplete-option-label: #6dcdf6;
  --search-form-main-txt-white: #6dcdf6;
  --brand-3-0: #0094d3;
  --brand-3-1: #6dcdf6;
  --alrosa-gray: #97999b;
  --text-base: #6dcdf6;
}
/*
.main-panel .main-panel__top {
  justify-content: space-between;
}

.sidebar {
  width: 0px !important;
}

.gap-\[32px\] {
  gap: 0px !important;
}
*/
.container div[class*="tabs-"] {
  display: none;
}

form[data-search-form="true"]>div[class*="row-"]:first-of-type {
  border: 1px solid #97999b;
  border-radius: var(--search-form-button-radius);
  background: rgba(0, 0, 0, 0.05);/*серая подложка под блоком светлой темы*/
}

div[class*="searchForm"] {
  padding: 0px 0px;
}

/* Поля ввода */
input[class*="input_"][class*="departure-"],
input[class*="input_"][class*="arrival-"],
input[class*="input_"] {
  background-color: #fff;
  color: #212529;
}

input[class*="input_"]::placeholder {
  color: #97999b;
}

/* Кнопка смены направления (стрелка) */
button[class*="switcher_"] svg {
  color: #97999b;
}

/* Блок с датами */
div[class*="dates__to-"] span,
div[class*="dates__back-"] span {
  color: #818c99;
}

div[class*="dates__to-"] svg,
div[class*="dates__back-"] svg {
  color: #6dcdf6;
}

div[class*="dates__back_disabled-"] span {
  color: #97999b;
}

/* Селектор пассажиров */
button[class*="selector-"] {

  background-color: #fff!Important;
  color: #212529;
}

.dark button[class*="selector-"] {

  background-color: var(--dark-gray)!Important;
  color: #212529;
}

button[class*="selector-"] span[class*="title-"] {
  color: #212529;
}

/* Кнопка поиска */
button[type="submit"] {
  background-color: #6dcdf6;
}

button[type="submit"] svg {
  color: #fff;
}

/*Составить сложный маршрут*/
div[class*="bottom-"] label[class*="label-"] input[type="checkbox"]+span {
  color: #6dcdf6;
}

div[class*="control-"]{
  border: 1px solid #97999b;
}

.dark div[class*="control-"]{
  background-color: var(--dark-gray);
}

button.addSegment-314V_:disabled {
  color: var(--text-pale);
  background-color: transparent; 
}

/* Ссылка "Субсидии" */
a[class*="link-"][href*="granted-transport"] span {
  color: #6dcdf6;
}

/* Ссылка "У вас есть промокод?" */
a[class*="trigger-"] {
  color: #6dcdf6;
}

/*темная тема*/

div[class*="searchForm"] {
  --text-base: #6dcdf6;
}

/*Откуда/куда*/
.dark form[data-search-form="true"] input[type='text'] {
  background-color: var(--dark-gray);
}

.dark form[data-search-form="true"] input[type='text']:hover {
  background-color: var(--dark-gray);
}

.dark form[data-search-form="true"] input[type='text']:not(:focus):hover {
  background-color: var(--dark-gray);
}

.dark div[class*="input-"] {
  background: var(--dark-gray);
}

.dark div[class*="input-"]:not(:focus):not(.input_focused-R03m0):hover {
  background: var(--dark-gray);
}

/*Свичер*/

@media screen and (max-width: 600px) {
  .switcher-343Vq.switcher_alternative-3Oehp {
    border: none;
  }

}

.dark input[type='text'] {
  color: var(--dark-gray-4, #e1e1e1) !important;
  background: var(--dark-gray);
}

/*Список городов*/
.dark div[class*="locationOptionsList__wrapper-"] {
  background-color: var(--dark-gray);
}

.dark div[class*="autocomplete-"] {
  --autocomplete-option-label: #6dcdf6;
}

.dark span[class*="value-"] {
  color: #6dcdf6;
}

.dark div[class*="mobileDialog__dialog"] {
  background: var(--dark-gray);
}

.dark div[class*="mobileDialog__header-"] {
  background-color: var(--dark-gray);
}

.dark div[class*="mobileDialog__title-"] {
  color: white;
}

.dark div[class*="paper-"] {
  background: var(--dark-gray);
}

/*Даты*/
.dark div[class*="day_withPrice-"] {
  background: var(--dark-gray);
  color: var(--brand-3-1);
}

.dark div[class*="datepicker-"] div[class*="popup-"] {
  background: var(--dark-gray);
}

.dark div[class*="dates-"] {
  background-color: var(--dark-gray);
}

.dark div[class*="datepicker-"] div[class*="wrapper-"] {
  background: var(--dark-gray);
}

.dark div[class*="dates-"]:not(.dates_focused-3Uufl):hover {
  background: var(--dark-gray);
}

.dark div[class*="highlightedDate_withPrice-"] {
  background: var(--dark-gray);
}

.dark div[class*="day_inPeriod-"] {
  background: rgba(27, 117, 188, 0.1)!important;
}

.dark div[class*="day_selected-"] {
  background: rgba(27, 117, 188, 0.1);
}

.dark div[class*="day_endPeriod-"] {
  border: 1px solid var(--brand-3-0);
}

/*mob*/
.dark div[class*="popup-"] {
  background: var(--dark-gray);
}

.dark div[class*="dialog__bar-"] {
  background: var(--dark-gray);
}

.dark span[class*="dialog__activeDate-"] {
  color: white;
}

.dark div[class*="monthsList"] {
  background: var(--dark-gray);
}

.dark div[class*="monthHeader__select_month-"] {
  color: var(--brand-3-1);
}

/*пасажиры*/

.dark div[class*="passengers-"] div[class*="menu-"] {
  background: var(--dark-gray);
}

.dark div[class*="passengers-"] div[class*="menu-"] button[class*="decrease-"]:disabled {
  background: var(--dark-gray);
}

.dark div[class*="passengers-"] span[class*="title-"] {
  color: #6dcdf6;
}

.dark div[class*="searchForm"] {
  background: #191c1e;
}

.dark div[class*="segment-"] {
  background: transparent;
  border-radius: var(--search-form-button-radius-mobile) var(--search-form-button-radius-mobile) 0 0;
}

@media screen and (max-width: 600px) {
  .dark div[class*="segment-"] {
    background: transparent;
    border-radius: var(--search-form-button-radius-mobile) var(--search-form-button-radius-mobile) 0 0;
  }
  .dark button[class*="decrease-"], button[class*="increase-"]{
        background: var(--dark-gray);
    }
}
